<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작업날짜 : 2024년 05월 16일 목요일 오후 21시 34분 / 맑음, 14.6, 일교차 주의, 20, 7, 2.1mm, 0%, 1.3ms / 27, 14, 0.014

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://www.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 프로그램 > 피리 카페 관리 > 카페 목록 > 카페 목록 불러오기
=====================================================================


*/

	IF ( !defined('_GNUBOARD_') )										EXIT;

  $get__p770099 = 1;

  $prog_config_page = 0;

  include_once( piree__path($sub_menu, 'config') );

  $cafe_all_t = 0;

  $cafe_view_t = 0;

  $cafe_list_a = array();

  $sql_select = "SELECT COUNT(*) FROM `". $piree['cafe'] ."`";
  $cafe_all_t = (int)sql_efv($sql_select);

  IF ( $cafe_all_t > 0 )
  {

		$scale_n = $config['cf_page_rows'];

    $total_page = ceil($cafe_all_t/$scale_n);

    IF ( !$page )                               $page = $total_page;

    $start_n = ($total_page-$page)*$scale_n;

    $page_url_s = "cafe.list.php?";

    $page_navi_s = get_paging(G5_IS_MOBILE ? $config['cf_mobile_pages'] : $config['cf_write_pages'], $page, $total_page, $page_url_s . $qstr.'&amp;page=');

    IF ( $cafe_all_t > 0 )
    {

      $sql_select  = "SELECT * FROM `". $piree['cafe'] ."` ";
      $sql_select .= "ORDER BY `cafe_row_n` DESC LIMIT ". $start_n .", ". $scale_n;
      $result_base = sql_query($sql_select);

      FOR ( $i=0; $row = sql_fetch_array($result_base); $i++ )
      {

        $loop_cafe_n = $row['cafe_row_n'];

        $cafe_list_a[$loop_cafe_n] = $row;

        IF ( !$row['cafe_region_n'] || $row['cafe_region_n'] == 0 || !$row['cafe_member_v'] || $row['cafe_member_v'] == '' )
        {

          IF ( $row['cafe_intro_s'] || $row['cafe_skin_basic_pc_c'] != $row['cafe_skin_board_pc_c'] || $row['cafe_skin_basic_pc_c'] != $row['cafe_skin_latest_pc_c'] || $row['cafe_skin_basic_mo_c'] != $row['cafe_skin_board_mo_c'] || $row['cafe_skin_basic_mo_c'] != $row['cafe_skin_latest_mo_c'] )
          {

            $sql_update  = "UPDATE `". $piree['cafe'] ."` SET ";
            $sql_update .= "`cafe_region_n` = '". $sub_menu ."', ";
            $sql_update .= "`cafe_member_v`        = '". $piree_prog_a[$sub_menu]['version_s'] ."' ";
            $sql_update .= "WHERE `cafe_row_n` = '". $loop_cafe_n ."'";

            IF ( !sql_query($sql_update) )
            {

              $sql_alter = "ALTER TABLE `". $piree['cafe'] ."` ADD `cafe_region_n` INT(11) NOT NULL AFTER `cafe_row_n`";
              sql_query($sql_alter, false);

              $sql_alter = "ALTER TABLE `". $piree['cafe'] ."` ADD `cafe_member_v` VARCHAR(255) NOT NULL DEFAULT '' AFTER `cafe_member_t`";
              sql_query($sql_alter, false);

              IF ( !sql_query($sql_update) )
              {

                alert("[ 카페 ]의 프로그램 분류를 새로고침하지 못하였습니다.");

              }

            }

          }

        }

        $cafe_view_t++;

      }

    }

  }

?>